/* Table of constant values */

static int c__3 = 3;
static int c__5 = 5;

int main(void)
{
    /* Initialized data */
    static double a[15] /* was [3][5] */ = { .6,.4,2.6,0.,0.,0.,0.,0.,
                                             .6,-.8,-2.2,-6.8,0.,0.,-.8 };
    /* Local variables */
    extern int afp9d_c(double *, int *, int *);
    static int i__;

#define a_ref(a_1,a_2) a[(a_2)*3 + a_1 - 4]

    afp9d_c(a, &c__3, &c__5);

    for (i__ = 1; i__ <= 3; ++i__) {
        printf("\n %20.12e %20.12e %20.12e \n %20.12e %20.12e \n",
              a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3),
              a_ref(i__, 4), a_ref(i__, 5));
    }
    return 0;
} /* main */

#undef a_ref
